.products__detail .products__detail-all{
    margin-top: 30px;
}
.products__detail .products__detail-all .detail__main{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    grid-auto-rows:248px ;
    gap: 30px;
    margin-top: 50px;
}

.products__detail .products__detail-all .detail__main .product__box{
   background-position: center;
   background-size: cover;
   background-repeat: no-repeat;
   overflow: hidden;
}
.products__detail .products__detail-all .detail__main .product__box a{
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    background: rgba(0,0,0,0.3);
    
}

.products__detail .products__detail-all .detail__main .product__box p{
   color: var(--color-white);
   transform: translateX(0px);
   font-weight:700;
   font-size:20px;
       padding: 2rem;
 }
 
